<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\FaFeedbackauswertungenUebersicht\FaFeedbackFilter;

class FaFeedbackauswertungenUebersichtSetFilterController extends \Kufer\Web\KuferTools\Firma\FaFeedbackauswertungenUebersicht\FaFeedbackauswertungen\FaFeedbackauswertungenUebersichtController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    if (!$this->isBrowserRefresh()) {
      $requestObj->suchParameter = $this->getFilterFromPost();
      $requestObj->aendereFilter = true;
    }
    $requestObj->isFilterSet = true;

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    $tool = $this->getToolId();
    $suchApi = new \KurssuchAPIwSearch();

    return $suchApi->getSearchParamsFromReq('tool' . $tool, 'searchkurs');
  }

  private function isBrowserRefresh()
  {
    
    return !\RequestOperations::isDefined('search_stichworte');
  }
}